using System;

namespace takmicenje_sudar
{
    class Program
    {
        static string dodaj_nule(int nule) 
        {
            string novi ="";
            for(int i=0; i<nule; i++)
            {
                novi += "0";
            }
            return novi;
        }
        static int duzina(string a, string b) 
        {
            return Math.Max(a.Length, b.Length);
        }
        static void Main(string[] args)
        {
            string prvi = Console.ReadLine();
            string drugi = Console.ReadLine();
            string sacuvaj;

            int razlika = Math.Abs(prvi.Length - drugi.Length);
            for (int i=0; i < razlika; i++)
            {
                if (prvi.Length > drugi.Length) Console.Write(prvi[i]);
                else Console.Write(drugi[i]);
            }
            /*if (razlika != 0)
            {
                if (prvi.Length > drugi.Length)
                {
                    sacuvaj = drugi;
                    drugi = dodaj_nule(razlika) + sacuvaj;
                }
                else
                {
                    sacuvaj = prvi;
                    prvi = dodaj_nule(razlika) + sacuvaj;
                }
            }*/

            for (int i = razlika; i < duzina(prvi, drugi); i++) 
            {
                if (prvi.Length > drugi.Length)
                {
                    if (prvi[i] == drugi[i-razlika])
                    {
                        Console.Write(prvi[i]);
                        Console.Write(drugi[i-razlika]);
                    }
                    else if (prvi[i] > drugi[i-razlika])
                    {
                        Console.Write(prvi[i]);
                    }
                    else
                    {
                        Console.Write(drugi[i-razlika]);
                    }
                }
                else
                {
                    if (prvi[i - razlika] == drugi[i])
                    {
                        Console.Write(prvi[i - razlika]);
                        Console.Write(drugi[i]);
                    }
                    else if (prvi[i - razlika] > drugi[i])
                    {
                        Console.Write(prvi[i - razlika]);
                    }
                    else
                    {
                        Console.Write(drugi[i]);
                    }
                }

            }
            Console.WriteLine();
        }
    }
}